《Groovy官方文档》1.1 下载Groovy

原文地址  译文地址  译者:jackwang

在本模块(本模块指Groovy官网Download模块),你可以下载Groovy的发布版本(源码和二进制安装包),Windows安装包(只有部分版本)和相关文档。

所有的下载源都是托管在Groovy的Bintray库。成为该站点用户具有投票,下载代码以及发布新版本的权限。

Mac,Linux用户或者使用Cygwin的用户,可以使用SDKMAN(The Software Development Kit Manager)来下载和配置任意版本的Groovy。这样会使事情变得很简单。基本的操作在下文将会说明。Windows用户可以使用Posh-GVM(PowerShell Groovy Environment Manager)

发布版本

你可以下载单独的二进制版本,源码包或者单独的文档组件,也可以打包下载三个组件。

Groovy 2.4

Groovy 2.4是我们最新发布的正式版本。特别提醒:在2.4.4之前的版本,我们没有加入Apache软件基金会,因此在该版本之前我们不提供软件可用协议。

Apache Groovy是Apache软件基金会下面正在努力孵化的一个项目,由Apache PMC特推的一个软件项目。孵化要求所有新加进来的项目必须进行全面深入的检视。在软件配套的文档,社区以及将来发展方面需要和Apache软件基金会其他成功的软件项目有一致的要求。当然孵化状态并不意味着目前的代码在稳定性和功能完备性方面做得很完善,孵化意味着目前该项目已经被Apache软件基金会全面认可和接受。

2.4.4发布版本下载

如果你希望在JDK7+上运行建议阅读(Click Me),你可以点此查看老版本的修改日志

SDKMAN!(The Software Development Kit Manager)

这个工具让在Bash平台(mac,Linux,Cygwin,Solaris,FreeBSD)安装Groovy变得非常简单。只需要打开一个新的终端输入


$ curl -s get.sdkman.io | bash

根据屏幕提示完成安装

打开一个新的终端或输入下面的命令


$ source "$HOME/.sdkman/bin/sdkman-init.sh"

安装最新的稳定版本Groovy


$ sdk install groovy

当安装完成后,你可以输入以下命令查看Groovy版本


$ groovy -version

至此,你已经成功安装了Groovy了!

使用构建工具

如果你希望通过构建工具将Groovy打包成你的项目的依赖,你可以参考依赖构建章节的说明:

Gradle

Maven

说明

org.codehaus.groovy:groovy:x.y.z

<groupId>org.codehaus.groovy</groupId>
<artifactId>groovy</artifactId>
<version>x.y.z</version>

仅仅使用Groovy的核心模块,但也包含了Antlr,ASM和Commons-CLI

org.codehaus.groovy:groovy-$module:x.y.z <groupId>org.codehaus.groovy</groupId>
<artifactId>groovy-$module</artifactId>
<version>x.y.z</version>

“$module”代表不同的groovy组件,比如ant,bsf,console,docgenerator,groovydoc,groovysh,jmx,json,jsr223,

servlet,sql,swing,test,testing,xml,示例:<artifactId>groovy-sql</artifactId>

org.codehaus.groovy:groovy-all:x.y.z

<groupId>org.codehaus.groovy</groupId>
<artifactId>groovy-all</artifactId>
<version>x.y.z</version>
全部的核心组件,包括jar版本的Antlr,ASM,Commons-CLI,你也可以使用其他版本的依赖,对于可选组件依赖会标注为可选,你可以使用其他可选组件来使用Groovy的其他特性,比如AntBuilder,GroovyMBeans等

Maven仓库

Groovy发布版本可以从Mavn CentralJCenter下载

Groovy快照版本可以从JFrog OpenSource Snapshots repository下载

其他方式获取Groovy

如果你是Mac用户,并且安装了Homebrew,你可以输入下面的命令安装:


brew install groovy

如果你是Mac用户,并且安装了MacPorts,你可以输入下面的命令安装:


sudo port install groovy

如果你还在原始时代喜欢从源码开始,你可以从GitHub上下载源码编译安装。

如果你是IDE用户,你可以使用IDE插件来安装,插件下载地址:http://groovy-lang.org/ides.html

系统要求

Groovy

JVM要求(non-indy)

JVM要求(indy)

2.3-current 1.6+ 1.7+
2.0-2.2 1.5+ 1.7+
1.6-1.8 1.5+ N/A
1.0-1.5 1.4+ N/A

如果你打算使用动态调用特性,请先阅读更多支持信息

原创文章,转载请注明: 转载自并发编程网 – ifeve.com本文链接地址: 《Groovy官方文档》1.1 下载Groovy

JackWang

JackWang

攻城狮一枚
三好青年——好吃,好玩,好技术
JackWang
FavoriteLoading添加本文到我的收藏
  • Trackback are closed
  • Comments (0)
  1. No comments yet.

You must be logged in to post a comment.

return top